Theme
Generate 3.0 (Text-to-Image) Generate
POST
https://www.kkiai.com/ideogram/v1/ideogram-v3/generate
Use the Ideogram 3.0 model to synchronously generate images based on the given prompt and optional parameters.
For detailed parameters, see the official documentation: https://developer.ideogram.ai/api-reference/api-reference/generate-v3
The returned image URLs are valid for 24 hours. Images will be inaccessible after that time.
Images have been reverse-proxied.
Request Parameters
Header Parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
Content-Type | string | Required | application/json | |
Accept | string | Required | application/json | |
Authorization | string | Required | Bearer {{YOUR_API_KEY}} |
Body Parameters (application/json)
| Parameter | Type | Required | Description |
|---|---|---|---|
prompt | string | Required | The prompt text needed to generate the image |
seed | integer | Optional | Random seed. Set this value to obtain reproducible generation results |
resolution | enum<string> | Optional | |
aspect_ratio | enum<string> | Optional | The aspect ratio for image generation, which determines the image resolution. Cannot be used together with the resolution parameter. Defaults to 1x1 |
rendering_speed | enum<string> | Optional | |
magic_prompt | enum<string> | Optional | Determines whether to use Magic Prompt when generating requests |
negative_prompt | string | Optional | Describes content to exclude from the image. Descriptions in the prompt take priority over descriptions in the negative prompt |
num_images | integer | Optional | |
color_palette | Optional | The color palette for generation, which must be explicitly specified through one of the presets (name) or through hexadecimal representation of colors with optional weights (members) | |
└ name | string | Required | |
style_codes | array[string] | Optional | List of 8-character hexadecimal codes representing image styles. Cannot be used together with style_reference_images or style_type |
style_type | enum<string> | Optional |
Request Example
json
{
"prompt": "voluptate reprehenderit",
"seed": 511526458,
"rendering_speed": "DEFAULT"
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/ideogram/v1/ideogram-v3/generate' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data-raw '{
"prompt": "voluptate reprehenderit",
"seed": 511526458,
"rendering_speed": "DEFAULT"
}'Response
🟢 200 Success
Response Body
| Parameter | Type | Required | Description |
|---|---|---|---|
code | integer | Required | |
message | string | Required | |
request_id | string | Required | |
data | object | Required | |
└ task_id | string | Required | |
└ task_status | string | Required | |
└ created_at | integer | Required | |
└ updated_at | integer | Required |
Response Example
json
{
"data": [
{
"seed": 511526458,
"prompt": "voluptate reprehenderit",
"resolution": "1024x1024",
"url": "https://v3.fal.media/files/koala/mSnuEvKTrnyY2mXY1i_qc_image.png",
"is_image_safe": true,
"style_type": "REALISTIC"
}
],
"created": "2025-08-27T18:23:28.806107195+08:00"
}